:root {
    --element-color: black;
    --element1-color:rgba(0, 0, 0, 0.5);
    --element2-color:rgba(0, 0, 0, 0.8);
}



.sec1 {
    height: 20rem;
    margin-top: 110px;
    width: 100%;
}

.s1part1 {
    height: 7rem;
    width: 97%;
    margin: 3.2rem 2%;
    border-radius: 2rem;
    background-color: #7D41E2;
    box-shadow: 0 2px 1px rgba(0, 0, 0, 0.199);
    display: flex;
    justify-content: center;
    align-items: center;

}

.s1part1 span {
    font-size: 2.7em;
    font-weight: bold;
    color: white;
}

.search {
    height: 3rem;
    width: 34rem;
    border-radius: 2rem;
    position: relative;
    top: -2.5rem;
    background-color: white;
    border: none;
    box-shadow: 2px 2px 1px rgba(0, 0, 0, 0.155);
    color: rgba(0, 0, 0, 0.148);
    left: 50%;
    transform: translate(-50%, -50%);
}

.search[placeholder] {
    color: black;
    padding-left: 1rem;
}

.s1part2 {
    /* border: 1px solid black; */
    height: 5vw;
    width: 40vw;
    position: relative;
    left: 33vw;
    bottom: 3vw;
    display: flex;
    align-items: center;
}

.s1part2 a:hover {
    text-decoration: underline;
}
.buttons{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: -2rem 0.7rem;

}
.s1btn1 {
    /* width:fit-content;
    padding: .9rem;
    margin: 0 0.7rem;
    border: none;
    border-radius: 1rem;
    background-color: #ff765d;
    color: white; */
    cursor: pointer;
    height: 2.5rem;
    width: 7.2rem;
    margin: 0 ;
    border-radius: 1rem;
    border: none;
    border: 1px solid #ff765d;
    background-color: white;
    margin: 0 0.5rem;
    font-size: 1rem;
    color: black;
    font-weight: bold;

    
}

/* add hovering effect to s1btn1 buttons */
/* .s1btn1:hover {
    background-color: #ff765d;
    color: white;
    cursor: pointer;
} */

.s1btn1-recent:hover{
    color: #fff;
    background-color: #ff765d;
}

.s1part2 a {
    margin: 0 0.7vw;
    text-decoration: none;
    color: var(--element-color);
}